curl --request POST \
--url https://api.jtl-cloud.com/erp/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Categories": [
{
"CategoryId": 123
}
],
"Name": "<string>",
"SKU": "<string>",
"ManufacturerId": 123,
"ResponsiblePersonId": 123,
"Description": "<string>",
"ShortDescription": "<string>",
"Identifiers": {
"Gtin": "<string>",
"ManufacturerNumber": "<string>",
"ISBN": "<string>",
"UPC": "<string>",
"AmazonFnsku": "<string>",
"Asins": [
"<string>"
],
"OwnIdentifier": "<string>"
},
"Components": [
{
"ItemId": 123,
"Quantity": 123,
"SortNumber": 123
}
],
"ItemPriceData": {
"SalesPriceNet": 123,
"SuggestedRetailPrice": 123,
"PurchasePriceNet": 123,
"EbayPrice": 123,
"AmazonPrice": 123
},
"ActiveSalesChannels": [
"<string>"
],
"SortNumber": 123,
"Annotation": "<string>",
"ReleasedOnDate": "2023-11-07T05:31:56Z",
"StorageOptions": {
"InventoryManagementActive": true,
"SplitQuantity": true,
"GlobalMinimumStockLevel": 123,
"Buffer": 123,
"SerialNumberItem": true,
"SerialNumberTracking": true,
"SubjectToShelfLifeExpirationDate": true,
"SubjectToBatchItem": true,
"ProcurementTime": 123,
"DetermineProcurementTimeAutomatically": true,
"AdditionalHandlingTime": 123
},
"CountryOfOrigin": "<string>",
"ConditionId": 123,
"ShippingClassId": 123,
"ProductGroupId": 123,
"TaxClassId": 123,
"Dimensions": {
"Length": 123,
"Width": 123,
"Height": 123
},
"Weights": {
"ItemWeigth": 123,
"ShippingWeight": 123
},
"AllowNegativeStock": true,
"Quantities": {
"MinimumOrderQuantity": 123,
"MinimumPurchaseQuantityForCustomerGroup": [
{
"CustomerGroupId": 123,
"PermissibleOrderQuantity": 123,
"MinimumPurchaseQuantity": 123,
"IsActive": true
}
],
"PermissibleOrderQuantity": 123
},
"DangerousGoods": {
"UnNumber": "<string>",
"HazardNo": "<string>"
},
"Taric": "<string>",
"SearchTerms": "<string>",
"PriceListActive": true,
"IgnoreDiscounts": true,
"AvailabilityId": 123
}
'import requests
url = "https://api.jtl-cloud.com/erp/items"
payload = {
"Categories": [{ "CategoryId": 123 }],
"Name": "<string>",
"SKU": "<string>",
"ManufacturerId": 123,
"ResponsiblePersonId": 123,
"Description": "<string>",
"ShortDescription": "<string>",
"Identifiers": {
"Gtin": "<string>",
"ManufacturerNumber": "<string>",
"ISBN": "<string>",
"UPC": "<string>",
"AmazonFnsku": "<string>",
"Asins": ["<string>"],
"OwnIdentifier": "<string>"
},
"Components": [
{
"ItemId": 123,
"Quantity": 123,
"SortNumber": 123
}
],
"ItemPriceData": {
"SalesPriceNet": 123,
"SuggestedRetailPrice": 123,
"PurchasePriceNet": 123,
"EbayPrice": 123,
"AmazonPrice": 123
},
"ActiveSalesChannels": ["<string>"],
"SortNumber": 123,
"Annotation": "<string>",
"ReleasedOnDate": "2023-11-07T05:31:56Z",
"StorageOptions": {
"InventoryManagementActive": True,
"SplitQuantity": True,
"GlobalMinimumStockLevel": 123,
"Buffer": 123,
"SerialNumberItem": True,
"SerialNumberTracking": True,
"SubjectToShelfLifeExpirationDate": True,
"SubjectToBatchItem": True,
"ProcurementTime": 123,
"DetermineProcurementTimeAutomatically": True,
"AdditionalHandlingTime": 123
},
"CountryOfOrigin": "<string>",
"ConditionId": 123,
"ShippingClassId": 123,
"ProductGroupId": 123,
"TaxClassId": 123,
"Dimensions": {
"Length": 123,
"Width": 123,
"Height": 123
},
"Weights": {
"ItemWeigth": 123,
"ShippingWeight": 123
},
"AllowNegativeStock": True,
"Quantities": {
"MinimumOrderQuantity": 123,
"MinimumPurchaseQuantityForCustomerGroup": [
{
"CustomerGroupId": 123,
"PermissibleOrderQuantity": 123,
"MinimumPurchaseQuantity": 123,
"IsActive": True
}
],
"PermissibleOrderQuantity": 123
},
"DangerousGoods": {
"UnNumber": "<string>",
"HazardNo": "<string>"
},
"Taric": "<string>",
"SearchTerms": "<string>",
"PriceListActive": True,
"IgnoreDiscounts": True,
"AvailabilityId": 123
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Categories: [{CategoryId: 123}],
Name: '<string>',
SKU: '<string>',
ManufacturerId: 123,
ResponsiblePersonId: 123,
Description: '<string>',
ShortDescription: '<string>',
Identifiers: {
Gtin: '<string>',
ManufacturerNumber: '<string>',
ISBN: '<string>',
UPC: '<string>',
AmazonFnsku: '<string>',
Asins: ['<string>'],
OwnIdentifier: '<string>'
},
Components: [{ItemId: 123, Quantity: 123, SortNumber: 123}],
ItemPriceData: {
SalesPriceNet: 123,
SuggestedRetailPrice: 123,
PurchasePriceNet: 123,
EbayPrice: 123,
AmazonPrice: 123
},
ActiveSalesChannels: ['<string>'],
SortNumber: 123,
Annotation: '<string>',
ReleasedOnDate: '2023-11-07T05:31:56Z',
StorageOptions: {
InventoryManagementActive: true,
SplitQuantity: true,
GlobalMinimumStockLevel: 123,
Buffer: 123,
SerialNumberItem: true,
SerialNumberTracking: true,
SubjectToShelfLifeExpirationDate: true,
SubjectToBatchItem: true,
ProcurementTime: 123,
DetermineProcurementTimeAutomatically: true,
AdditionalHandlingTime: 123
},
CountryOfOrigin: '<string>',
ConditionId: 123,
ShippingClassId: 123,
ProductGroupId: 123,
TaxClassId: 123,
Dimensions: {Length: 123, Width: 123, Height: 123},
Weights: {ItemWeigth: 123, ShippingWeight: 123},
AllowNegativeStock: true,
Quantities: {
MinimumOrderQuantity: 123,
MinimumPurchaseQuantityForCustomerGroup: [
{
CustomerGroupId: 123,
PermissibleOrderQuantity: 123,
MinimumPurchaseQuantity: 123,
IsActive: true
}
],
PermissibleOrderQuantity: 123
},
DangerousGoods: {UnNumber: '<string>', HazardNo: '<string>'},
Taric: '<string>',
SearchTerms: '<string>',
PriceListActive: true,
IgnoreDiscounts: true,
AvailabilityId: 123
})
};
fetch('https://api.jtl-cloud.com/erp/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"SKU": "<string>",
"ManufacturerId": 123,
"ResponsiblePersonId": 123,
"IsActive": true,
"Categories": [
{
"CategoryId": 123,
"Name": "<string>"
}
],
"Name": "<string>",
"Description": "<string>",
"ShortDescription": "<string>",
"Identifiers": {
"Gtin": "<string>",
"ManufacturerNumber": "<string>",
"ISBN": "<string>",
"UPC": "<string>",
"AmazonFnsku": "<string>",
"Asins": [
"<string>"
],
"OwnIdentifier": "<string>"
},
"Components": [
{
"ItemId": 123,
"Quantity": 123,
"SortNumber": 123
}
],
"ChildItems": [
123
],
"ParentItemId": 123,
"ItemPriceData": {
"SalesPriceNet": 123,
"SuggestedRetailPrice": 123,
"PurchasePriceNet": 123,
"EbayPrice": 123,
"AmazonPrice": 123
},
"ActiveSalesChannels": [
"<string>"
],
"SortNumber": 123,
"Annotation": "<string>",
"Added": "2023-11-07T05:31:56Z",
"Changed": "2023-11-07T05:31:56Z",
"ReleasedOnDate": "2023-11-07T05:31:56Z",
"StorageOptions": {
"InventoryManagementActive": true,
"SplitQuantity": true,
"GlobalMinimumStockLevel": 123,
"Buffer": 123,
"SerialNumberItem": true,
"SerialNumberTracking": true,
"SubjectToShelfLifeExpirationDate": true,
"SubjectToBatchItem": true,
"ProcurementTime": 123,
"DetermineProcurementTimeAutomatically": true,
"AdditionalHandlingTime": 123
},
"CountryOfOrigin": "<string>",
"ConditionId": 123,
"ShippingClassId": 123,
"ProductGroupId": 123,
"TaxClassId": 123,
"Dimensions": {
"Length": 123,
"Width": 123,
"Height": 123
},
"Weights": {
"ItemWeigth": 123,
"ShippingWeight": 123
},
"AllowNegativeStock": true,
"Quantities": {
"MinimumOrderQuantity": 123,
"MinimumPurchaseQuantityForCustomerGroup": [
{
"CustomerGroupId": 123,
"PermissibleOrderQuantity": 123,
"MinimumPurchaseQuantity": 123,
"IsActive": true
}
],
"PermissibleOrderQuantity": 123
},
"DangerousGoods": {
"UnNumber": "<string>",
"HazardNo": "<string>"
},
"Taric": "<string>",
"SearchTerms": "<string>",
"PriceListActive": true,
"IgnoreDiscounts": true,
"AvailabilityId": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Create Item
Create a new item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Query Parameters
If true, the workflows do not trigger automatic.
Body
The item to create.
Model Class: CreateItem
List of all the categories for the item.
Show child attributes
Show child attributes
Name of the item in the default language in JTL-Wawi.
2147483647Item SKU. If no SKU is given when posting an item, the SKU will be generated automatically.
The manufacturer ID.
The Responsible person ID.
Full textdescription for the item
Short description of the item in the default language in JTL-Wawi.
Identifiers for items like EAN and UPC.
Show child attributes
Show child attributes
Components for the item if the item is a bill of material.
Show child attributes
Show child attributes
Price data of the item.
Show child attributes
Show child attributes
The list of active sales channels of the item. Only online shops and JTL-POS are permitted. Sales channels that are removed from this list will be deactivated for this item.
The sort number of the item, used in some sales channels for ordering items.
The item annotation.
The date when the item was put up for sale.
Storage options for the item.
Show child attributes
Show child attributes
The country of origin of the item.
Condition ID of the item. Default if nothing is specified.
The shipping class ID.
The ID of the item group.
The ID of the tax class.
The dimensions of the item.
Show child attributes
Show child attributes
The weight of the item.
Show child attributes
Show child attributes
This option allows you to sell a higher quantity of the item than is actually in stock.
Quantities of the item.
Show child attributes
Show child attributes
Any information about dangerous goods.
Show child attributes
Show child attributes
Taric code of the item.
Search terms for the item.
Indicates if the item is in the price list.
Indicates if discounts are to be disregarded.
Availability ID of the item.
Response
The created item.
Model Class: Item
Unique ID to identify an item.
Item SKU. If no SKU is given when posting an item, the SKU will be generated automatically.
The manufacturer ID.
The Responsible person ID.
Indicates if the item is active.
List of all the categories for the item.
Show child attributes
Show child attributes
Name of the item in the default language in JTL-Wawi.
Full textdescription for the item
Short description of the item in the default language in JTL-Wawi.
Identifiers for items like EAN and UPC.
Show child attributes
Show child attributes
Components for the item if the item is a bill of material.
Show child attributes
Show child attributes
IDs of the child items, if the item is a parent item.
ID of the parent item, if the item is a child item.
Price data of the item.
Show child attributes
Show child attributes
The list of active sales channels of the item. Only online shops and JTL-POS are permitted. Sales channels that are removed from this list will be deactivated for this item.
The sort number of the item, used in some sales channels for ordering items.
The item annotation.
Date when the item was added to the system.
Date of the last change made to the item. Only item data changes are relevant for this field, not changes in stock.
The date when the item was put up for sale.
Storage options for the item.
Show child attributes
Show child attributes
The country of origin of the item.
Condition ID of the item. Default if nothing is specified.
The shipping class ID.
The ID of the item group.
The ID of the tax class.
The dimensions of the item.
Show child attributes
Show child attributes
The weight of the item.
Show child attributes
Show child attributes
This option allows you to sell a higher quantity of the item than is actually in stock.
Quantities of the item.
Show child attributes
Show child attributes
Any information about dangerous goods.
Show child attributes
Show child attributes
Taric code of the item.
Search terms for the item.
Indicates if the item is in the price list.
Indicates if discounts are to be disregarded.
Availability ID of the item.
Was this page helpful?